## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseasasqlmodelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseasasqlmodelPackageImpl

    public interface SybaseasasqlmodelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SybaseasasqlmodelFactory`

Nested Class Summary
`static interface` `SybaseasasqlmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static SybaseasasqlmodelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `SYBASE_ASA_DATABASE` The meta object id for the '`Sybase ASA Database`' class.
`static int` `SYBASE_ASA_DATABASE__ASE_COMPATIBLE` The feature id for the 'ASE Compatible' attribute.
`static int` `SYBASE_ASA_DATABASE__AUTHORIZATION_IDS` The feature id for the 'Authorization Ids' reference list.
`static int` `SYBASE_ASA_DATABASE__BLANK_PADDING_ON` The feature id for the 'Blank Padding On' attribute.
`static int` `SYBASE_ASA_DATABASE__CASE_SENSITIVE` The feature id for the 'Case Sensitive' attribute.
`static int` `SYBASE_ASA_DATABASE__CATALOGS` The feature id for the 'Catalogs' reference list.
`static int` `SYBASE_ASA_DATABASE__CHECK_SUM_ON` The feature id for the 'Check Sum On' attribute.
`static int` `SYBASE_ASA_DATABASE__COLLATION` The feature id for the 'Collation' attribute.
`static int` `SYBASE_ASA_DATABASE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_DATABASE__DATA_TYPES` The feature id for the 'Data Types' reference list.
`static int` `SYBASE_ASA_DATABASE__DATABASE_FILE_NAME` The feature id for the 'Database File Name' attribute.
`static int` `SYBASE_ASA_DATABASE__DB_SPACES` The feature id for the 'Db Spaces' containment reference list.
`static int` `SYBASE_ASA_DATABASE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_DATABASE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_DATABASE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_DATABASE__ENCRYPTION_INFO` The feature id for the 'Encryption Info' reference.
`static int` `SYBASE_ASA_DATABASE__EVENTS` The feature id for the 'Events' reference list.
`static int` `SYBASE_ASA_DATABASE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_DATABASE__JAVA_SUPPORT` The feature id for the 'Java Support' attribute.
`static int` `SYBASE_ASA_DATABASE__JCONNECT_ON` The feature id for the 'JConnect On' attribute.
`static int` `SYBASE_ASA_DATABASE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_DATABASE__LOG_FILE_NAME` The feature id for the 'Log File Name' attribute.
`static int` `SYBASE_ASA_DATABASE__MIRROR_FILE_NAME` The feature id for the 'Mirror File Name' attribute.
`static int` `SYBASE_ASA_DATABASE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_DATABASE__PAGE_SIZE` The feature id for the 'Page Size' attribute.
`static int` `SYBASE_ASA_DATABASE__PASSWORD_CASE_SENSITIVE` The feature id for the 'Password Case Sensitive' attribute.
`static int` `SYBASE_ASA_DATABASE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_DATABASE__SCHEMAS` The feature id for the 'Schemas' reference list.
`static int` `SYBASE_ASA_DATABASE__VENDOR` The feature id for the 'Vendor' attribute.
`static int` `SYBASE_ASA_DATABASE__VERSION` The feature id for the 'Version' attribute.
`static int` `SYBASE_ASA_DATABASE__WEB_SERVICES` The feature id for the 'Web Services' reference list.
`static int` `SYBASE_ASA_DATABASE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Database' class.
`static int` `SYBASE_ASA_FOREIGN_KEY` The meta object id for the '`Sybase ASA Foreign Key`' class.
`static int` `SYBASE_ASA_FOREIGN_KEY__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT` The feature id for the 'Check On Commit' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__MATCH` The feature id for the 'Match' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__MEMBERS` The feature id for the 'Members' reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__ON_DELETE` The feature id for the 'On Delete' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__ON_UPDATE` The feature id for the 'On Update' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__REFERENCED_MEMBERS` The feature id for the 'Referenced Members' reference list.
`static int` `SYBASE_ASA_FOREIGN_KEY__REFERENCED_TABLE` The feature id for the 'Referenced Table' reference.
`static int` `SYBASE_ASA_FOREIGN_KEY__ROLE_NAME` The feature id for the 'Role Name' attribute.
`static int` `SYBASE_ASA_FOREIGN_KEY__UNIQUE_CONSTRAINT` The feature id for the 'Unique Constraint' reference.
`static int` `SYBASE_ASA_FOREIGN_KEY__UNIQUE_INDEX` The feature id for the 'Unique Index' reference.
`static int` `SYBASE_ASA_FOREIGN_KEY_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Foreign Key' class.
`static int` `SYBASE_ASA_INDEX` The meta object id for the '`Sybase ASA Index`' class.
`static int` `SYBASE_ASA_INDEX__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `SYBASE_ASA_INDEX__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_INDEX__DB_SPACE` The feature id for the 'Db Space' reference.
`static int` `SYBASE_ASA_INDEX__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_INDEX__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_INDEX__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_INDEX__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_INDEX__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `SYBASE_ASA_INDEX__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `SYBASE_ASA_INDEX__INCLUDED_MEMBERS` The feature id for the 'Included Members' containment reference list.
`static int` `SYBASE_ASA_INDEX__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_INDEX__MEMBERS` The feature id for the 'Members' containment reference list.
`static int` `SYBASE_ASA_INDEX__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_INDEX__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_INDEX__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_INDEX__SYSTEM_GENERATED` The feature id for the 'System Generated' attribute.
`static int` `SYBASE_ASA_INDEX__TABLE` The feature id for the 'Table' reference.
`static int` `SYBASE_ASA_INDEX__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `SYBASE_ASA_INDEX__VIRTUAL` The feature id for the 'Virtual' attribute.
`static int` `SYBASE_ASA_INDEX_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Index' class.
`static int` `SYBASE_ASA_TABLE` The meta object id for the '`Sybase ASA Table`' class.
`static int` `SYBASE_ASA_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASA_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASA_TABLE__DB_SPACE` The feature id for the 'Db Space' reference.
`static int` `SYBASE_ASA_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASA_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASA_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_TABLE__PCTFREE` The feature id for the 'Pctfree' attribute.
`static int` `SYBASE_ASA_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASA_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASA_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASA_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASA_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASA_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASA_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Table' class.
`static int` `SYBASE_ASA_TEMP_TABLE` The meta object id for the '`Sybase ASA Temp Table`' class.
`static int` `SYBASE_ASA_TEMP_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__DELETE_ON_COMMIT` The feature id for the 'Delete On Commit' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__LOCAL` The feature id for the 'Local' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__PCTFREE` The feature id for the 'Pctfree' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ASA_TEMP_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_ASA_TEMP_TABLE__TRANSACTION_OPTION` The feature id for the 'Transaction Option' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_ASA_TEMP_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_ASA_TEMP_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_ASA_TEMP_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase ASA Temp Table' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADatabase_ASECompatible()` Returns the meta object for the attribute '`ASE Compatible`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASADatabase()` Returns the meta object for class '`Sybase ASA Database`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAForeignKey_CheckOnCommit()` Returns the meta object for the attribute '`Check On Commit`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAForeignKey_Nullable()` Returns the meta object for the attribute '`Nullable`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASAForeignKey()` Returns the meta object for class '`Sybase ASA Foreign Key`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAIndex_Virtual()` Returns the meta object for the attribute '`Virtual`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASAIndex()` Returns the meta object for class '`Sybase ASA Index`'.
`SybaseasasqlmodelFactory` `getSybaseasasqlmodelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASATable_Pctfree()` Returns the meta object for the attribute '`Pctfree`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASATable()` Returns the meta object for class '`Sybase ASA Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseASATempTable_Pctfree()` Returns the meta object for the attribute '`Pctfree`'.
`org.eclipse.emf.ecore.EClass` `getSybaseASATempTable()` Returns the meta object for class '`Sybase ASA Temp Table`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SybaseasasqlmodelPackage eINSTANCE

  The singleton instance of the package.

### SYBASE_ASA_DATABASE

    static final int SYBASE_ASA_DATABASE

  The meta object id for the '`Sybase ASA Database`' class.

  See Also:
    `SybaseASADatabaseImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASADatabase()`, Constant Field Values

### SYBASE_ASA_DATABASE__EANNOTATIONS

    static final int SYBASE_ASA_DATABASE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__NAME

    static final int SYBASE_ASA_DATABASE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__DEPENDENCIES

    static final int SYBASE_ASA_DATABASE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__DESCRIPTION

    static final int SYBASE_ASA_DATABASE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__LABEL

    static final int SYBASE_ASA_DATABASE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__COMMENTS

    static final int SYBASE_ASA_DATABASE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__EXTENSIONS

    static final int SYBASE_ASA_DATABASE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__PRIVILEGES

    static final int SYBASE_ASA_DATABASE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__VENDOR

    static final int SYBASE_ASA_DATABASE__VENDOR

  The feature id for the 'Vendor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__VERSION

    static final int SYBASE_ASA_DATABASE__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__SCHEMAS

    static final int SYBASE_ASA_DATABASE__SCHEMAS

  The feature id for the 'Schemas' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__EVENTS

    static final int SYBASE_ASA_DATABASE__EVENTS

  The feature id for the 'Events' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__CATALOGS

    static final int SYBASE_ASA_DATABASE__CATALOGS

  The feature id for the 'Catalogs' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__AUTHORIZATION_IDS

    static final int SYBASE_ASA_DATABASE__AUTHORIZATION_IDS

  The feature id for the 'Authorization Ids' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__DATA_TYPES

    static final int SYBASE_ASA_DATABASE__DATA_TYPES

  The feature id for the 'Data Types' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__WEB_SERVICES

    static final int SYBASE_ASA_DATABASE__WEB_SERVICES

  The feature id for the 'Web Services' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__DB_SPACES

    static final int SYBASE_ASA_DATABASE__DB_SPACES

  The feature id for the 'Db Spaces' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__DATABASE_FILE_NAME

    static final int SYBASE_ASA_DATABASE__DATABASE_FILE_NAME

  The feature id for the 'Database File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__LOG_FILE_NAME

    static final int SYBASE_ASA_DATABASE__LOG_FILE_NAME

  The feature id for the 'Log File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__MIRROR_FILE_NAME

    static final int SYBASE_ASA_DATABASE__MIRROR_FILE_NAME

  The feature id for the 'Mirror File Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__CASE_SENSITIVE

    static final int SYBASE_ASA_DATABASE__CASE_SENSITIVE

  The feature id for the 'Case Sensitive' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__COLLATION

    static final int SYBASE_ASA_DATABASE__COLLATION

  The feature id for the 'Collation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__BLANK_PADDING_ON

    static final int SYBASE_ASA_DATABASE__BLANK_PADDING_ON

  The feature id for the 'Blank Padding On' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__CHECK_SUM_ON

    static final int SYBASE_ASA_DATABASE__CHECK_SUM_ON

  The feature id for the 'Check Sum On' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__JCONNECT_ON

    static final int SYBASE_ASA_DATABASE__JCONNECT_ON

  The feature id for the 'JConnect On' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__PAGE_SIZE

    static final int SYBASE_ASA_DATABASE__PAGE_SIZE

  The feature id for the 'Page Size' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__ENCRYPTION_INFO

    static final int SYBASE_ASA_DATABASE__ENCRYPTION_INFO

  The feature id for the 'Encryption Info' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__JAVA_SUPPORT

    static final int SYBASE_ASA_DATABASE__JAVA_SUPPORT

  The feature id for the 'Java Support' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__PASSWORD_CASE_SENSITIVE

    static final int SYBASE_ASA_DATABASE__PASSWORD_CASE_SENSITIVE

  The feature id for the 'Password Case Sensitive' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE__ASE_COMPATIBLE

    static final int SYBASE_ASA_DATABASE__ASE_COMPATIBLE

  The feature id for the 'ASE Compatible' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_DATABASE_FEATURE_COUNT

    static final int SYBASE_ASA_DATABASE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Database' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE

    static final int SYBASE_ASA_TABLE

  The meta object id for the '`Sybase ASA Table`' class.

  See Also:
    `SybaseASATableImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASATable()`, Constant Field Values

### SYBASE_ASA_TABLE__EANNOTATIONS

    static final int SYBASE_ASA_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__NAME

    static final int SYBASE_ASA_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__DEPENDENCIES

    static final int SYBASE_ASA_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__DESCRIPTION

    static final int SYBASE_ASA_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__LABEL

    static final int SYBASE_ASA_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__COMMENTS

    static final int SYBASE_ASA_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__EXTENSIONS

    static final int SYBASE_ASA_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__PRIVILEGES

    static final int SYBASE_ASA_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__COLUMNS

    static final int SYBASE_ASA_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__SUPERTABLE

    static final int SYBASE_ASA_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__SUBTABLES

    static final int SYBASE_ASA_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__SCHEMA

    static final int SYBASE_ASA_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__UDT

    static final int SYBASE_ASA_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__TRIGGERS

    static final int SYBASE_ASA_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__INDEX

    static final int SYBASE_ASA_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASA_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__INSERTABLE

    static final int SYBASE_ASA_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__UPDATABLE

    static final int SYBASE_ASA_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__CONSTRAINTS

    static final int SYBASE_ASA_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASA_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__DB_SPACE

    static final int SYBASE_ASA_TABLE__DB_SPACE

  The feature id for the 'Db Space' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE__PCTFREE

    static final int SYBASE_ASA_TABLE__PCTFREE

  The feature id for the 'Pctfree' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TABLE_FEATURE_COUNT

    static final int SYBASE_ASA_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Table' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY

    static final int SYBASE_ASA_FOREIGN_KEY

  The meta object id for the '`Sybase ASA Foreign Key`' class.

  See Also:
    `SybaseASAForeignKeyImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASAForeignKey()`, Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__EANNOTATIONS

    static final int SYBASE_ASA_FOREIGN_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__NAME

    static final int SYBASE_ASA_FOREIGN_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__DEPENDENCIES

    static final int SYBASE_ASA_FOREIGN_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__DESCRIPTION

    static final int SYBASE_ASA_FOREIGN_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__LABEL

    static final int SYBASE_ASA_FOREIGN_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__COMMENTS

    static final int SYBASE_ASA_FOREIGN_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__EXTENSIONS

    static final int SYBASE_ASA_FOREIGN_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__PRIVILEGES

    static final int SYBASE_ASA_FOREIGN_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__DEFERRABLE

    static final int SYBASE_ASA_FOREIGN_KEY__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__INITIALLY_DEFERRED

    static final int SYBASE_ASA_FOREIGN_KEY__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__ENFORCED

    static final int SYBASE_ASA_FOREIGN_KEY__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__BASE_TABLE

    static final int SYBASE_ASA_FOREIGN_KEY__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__MEMBERS

    static final int SYBASE_ASA_FOREIGN_KEY__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__MATCH

    static final int SYBASE_ASA_FOREIGN_KEY__MATCH

  The feature id for the 'Match' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__ON_UPDATE

    static final int SYBASE_ASA_FOREIGN_KEY__ON_UPDATE

  The feature id for the 'On Update' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__ON_DELETE

    static final int SYBASE_ASA_FOREIGN_KEY__ON_DELETE

  The feature id for the 'On Delete' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__UNIQUE_CONSTRAINT

    static final int SYBASE_ASA_FOREIGN_KEY__UNIQUE_CONSTRAINT

  The feature id for the 'Unique Constraint' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__REFERENCED_MEMBERS

    static final int SYBASE_ASA_FOREIGN_KEY__REFERENCED_MEMBERS

  The feature id for the 'Referenced Members' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__UNIQUE_INDEX

    static final int SYBASE_ASA_FOREIGN_KEY__UNIQUE_INDEX

  The feature id for the 'Unique Index' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__REFERENCED_TABLE

    static final int SYBASE_ASA_FOREIGN_KEY__REFERENCED_TABLE

  The feature id for the 'Referenced Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__ROLE_NAME

    static final int SYBASE_ASA_FOREIGN_KEY__ROLE_NAME

  The feature id for the 'Role Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__CLUSTERED

    static final int SYBASE_ASA_FOREIGN_KEY__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT

    static final int SYBASE_ASA_FOREIGN_KEY__CHECK_ON_COMMIT

  The feature id for the 'Check On Commit' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY__NULLABLE

    static final int SYBASE_ASA_FOREIGN_KEY__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_FOREIGN_KEY_FEATURE_COUNT

    static final int SYBASE_ASA_FOREIGN_KEY_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Foreign Key' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX

    static final int SYBASE_ASA_INDEX

  The meta object id for the '`Sybase ASA Index`' class.

  See Also:
    `SybaseASAIndexImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASAIndex()`, Constant Field Values

### SYBASE_ASA_INDEX__EANNOTATIONS

    static final int SYBASE_ASA_INDEX__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__NAME

    static final int SYBASE_ASA_INDEX__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__DEPENDENCIES

    static final int SYBASE_ASA_INDEX__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__DESCRIPTION

    static final int SYBASE_ASA_INDEX__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__LABEL

    static final int SYBASE_ASA_INDEX__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__COMMENTS

    static final int SYBASE_ASA_INDEX__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__EXTENSIONS

    static final int SYBASE_ASA_INDEX__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__PRIVILEGES

    static final int SYBASE_ASA_INDEX__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__SCHEMA

    static final int SYBASE_ASA_INDEX__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__CLUSTERED

    static final int SYBASE_ASA_INDEX__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__FILL_FACTOR

    static final int SYBASE_ASA_INDEX__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__UNIQUE

    static final int SYBASE_ASA_INDEX__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__SYSTEM_GENERATED

    static final int SYBASE_ASA_INDEX__SYSTEM_GENERATED

  The feature id for the 'System Generated' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__MEMBERS

    static final int SYBASE_ASA_INDEX__MEMBERS

  The feature id for the 'Members' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__TABLE

    static final int SYBASE_ASA_INDEX__TABLE

  The feature id for the 'Table' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__FOREIGN_KEY

    static final int SYBASE_ASA_INDEX__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__INCLUDED_MEMBERS

    static final int SYBASE_ASA_INDEX__INCLUDED_MEMBERS

  The feature id for the 'Included Members' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__DB_SPACE

    static final int SYBASE_ASA_INDEX__DB_SPACE

  The feature id for the 'Db Space' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX__VIRTUAL

    static final int SYBASE_ASA_INDEX__VIRTUAL

  The feature id for the 'Virtual' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_INDEX_FEATURE_COUNT

    static final int SYBASE_ASA_INDEX_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Index' class.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE

    static final int SYBASE_ASA_TEMP_TABLE

  The meta object id for the '`Sybase ASA Temp Table`' class.

  See Also:
    `SybaseASATempTableImpl`, `SybaseasasqlmodelPackageImpl.getSybaseASATempTable()`, Constant Field Values

### SYBASE_ASA_TEMP_TABLE__EANNOTATIONS

    static final int SYBASE_ASA_TEMP_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__NAME

    static final int SYBASE_ASA_TEMP_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__DEPENDENCIES

    static final int SYBASE_ASA_TEMP_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__DESCRIPTION

    static final int SYBASE_ASA_TEMP_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__LABEL

    static final int SYBASE_ASA_TEMP_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__COMMENTS

    static final int SYBASE_ASA_TEMP_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__EXTENSIONS

    static final int SYBASE_ASA_TEMP_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__PRIVILEGES

    static final int SYBASE_ASA_TEMP_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__COLUMNS

    static final int SYBASE_ASA_TEMP_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__SUPERTABLE

    static final int SYBASE_ASA_TEMP_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__SUBTABLES

    static final int SYBASE_ASA_TEMP_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__SCHEMA

    static final int SYBASE_ASA_TEMP_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__UDT

    static final int SYBASE_ASA_TEMP_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__TRIGGERS

    static final int SYBASE_ASA_TEMP_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__INDEX

    static final int SYBASE_ASA_TEMP_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_ASA_TEMP_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__INSERTABLE

    static final int SYBASE_ASA_TEMP_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__UPDATABLE

    static final int SYBASE_ASA_TEMP_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__CONSTRAINTS

    static final int SYBASE_ASA_TEMP_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_ASA_TEMP_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__LOCAL

    static final int SYBASE_ASA_TEMP_TABLE__LOCAL

  The feature id for the 'Local' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__DELETE_ON_COMMIT

    static final int SYBASE_ASA_TEMP_TABLE__DELETE_ON_COMMIT

  The feature id for the 'Delete On Commit' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__TRANSACTION_OPTION

    static final int SYBASE_ASA_TEMP_TABLE__TRANSACTION_OPTION

  The feature id for the 'Transaction Option' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE__PCTFREE

    static final int SYBASE_ASA_TEMP_TABLE__PCTFREE

  The feature id for the 'Pctfree' attribute.

  See Also:
    Constant Field Values

### SYBASE_ASA_TEMP_TABLE_FEATURE_COUNT

    static final int SYBASE_ASA_TEMP_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase ASA Temp Table' class.

  See Also:
    Constant Field Values

Method Detail

### getSybaseASADatabase

    org.eclipse.emf.ecore.EClass getSybaseASADatabase()

  Returns the meta object for class '`Sybase ASA Database`'.

  Returns:
    the meta object for class 'Sybase ASA Database'.
  See Also:
    `SybaseASADatabase`

### getSybaseASADatabase_ASECompatible

    org.eclipse.emf.ecore.EAttribute getSybaseASADatabase_ASECompatible()

  Returns the meta object for the attribute '`ASE Compatible`'.

  Returns:
    the meta object for the attribute 'ASE Compatible'.
  See Also:
    `SybaseASADatabase.isASECompatible()`, `getSybaseASADatabase()`

### getSybaseASATable

    org.eclipse.emf.ecore.EClass getSybaseASATable()

  Returns the meta object for class '`Sybase ASA Table`'.

  Returns:
    the meta object for class 'Sybase ASA Table'.
  See Also:
    `SybaseASATable`

### getSybaseASATable_Pctfree

    org.eclipse.emf.ecore.EAttribute getSybaseASATable_Pctfree()

  Returns the meta object for the attribute '`Pctfree`'.

  Returns:
    the meta object for the attribute 'Pctfree'.
  See Also:
    `SybaseASATable.getPctfree()`, `getSybaseASATable()`

### getSybaseASAForeignKey

    org.eclipse.emf.ecore.EClass getSybaseASAForeignKey()

  Returns the meta object for class '`Sybase ASA Foreign Key`'.

  Returns:
    the meta object for class 'Sybase ASA Foreign Key'.
  See Also:
    `SybaseASAForeignKey`

### getSybaseASAForeignKey_CheckOnCommit

    org.eclipse.emf.ecore.EAttribute getSybaseASAForeignKey_CheckOnCommit()

  Returns the meta object for the attribute '`Check On Commit`'.

  Returns:
    the meta object for the attribute 'Check On Commit'.
  See Also:
    `SybaseASAForeignKey.isCheckOnCommit()`, `getSybaseASAForeignKey()`

### getSybaseASAForeignKey_Nullable

    org.eclipse.emf.ecore.EAttribute getSybaseASAForeignKey_Nullable()

  Returns the meta object for the attribute '`Nullable`'.

  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `SybaseASAForeignKey.isNullable()`, `getSybaseASAForeignKey()`

### getSybaseASAIndex

    org.eclipse.emf.ecore.EClass getSybaseASAIndex()

  Returns the meta object for class '`Sybase ASA Index`'.

  Returns:
    the meta object for class 'Sybase ASA Index'.
  See Also:
    `SybaseASAIndex`

### getSybaseASAIndex_Virtual

    org.eclipse.emf.ecore.EAttribute getSybaseASAIndex_Virtual()

  Returns the meta object for the attribute '`Virtual`'.

  Returns:
    the meta object for the attribute 'Virtual'.
  See Also:
    `SybaseASAIndex.isVirtual()`, `getSybaseASAIndex()`

### getSybaseASATempTable

    org.eclipse.emf.ecore.EClass getSybaseASATempTable()

  Returns the meta object for class '`Sybase ASA Temp Table`'.

  Returns:
    the meta object for class 'Sybase ASA Temp Table'.
  See Also:
    `SybaseASATempTable`

### getSybaseASATempTable_Pctfree

    org.eclipse.emf.ecore.EAttribute getSybaseASATempTable_Pctfree()

  Returns the meta object for the attribute '`Pctfree`'.

  Returns:
    the meta object for the attribute 'Pctfree'.
  See Also:
    `SybaseASATempTable.getPctfree()`, `getSybaseASATempTable()`

### getSybaseasasqlmodelFactory

    SybaseasasqlmodelFactory getSybaseasasqlmodelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.